/* Container for the dotted lines */

.dotted-line {
  position: absolute;
  /* z-index: 2; */
  visibility: hidden;
  transition: transform 1s linear;
  transform-origin: left;
  transform-style: preserve-3D;
}

.dotted-line.open {
  visibility: visible;
  /* When open, it becomes visible */
}

.dotted-line.bellarine-peninsula {
  left: 5%;
  top: 44%;
}

.dotted-line.macedon-ranges .destination-time {
  left: 10%;
}

.dotted-line.bellarine-peninsula .destination-time {
  top: 0;
}

.dotted-line.close {
  visibility: hidden;
  /* When close, it remains hidden */
  opacity: 0;
  /* Fully transparent */
}

.dotted-line.daylesford .destination-time {
  top: 78%;
}

@keyframes animate-dash {
  0% {
    background-position: 0 0;
  }

  100% {
    background-position: 0 10px;
  }
}

.location-img {
  position: relative;
  display: inline-block;
  /* left: -62px;
  display: none; */
  height: 100px;
  width: 90px;
}

.location-img::after,
.region-map .image-wrapper .center-location::after {
  position: absolute;
  content: "";
  background: url(../images/img-map-pin.svg) no-repeat center;
  width: 40px;
  height: 21px;
  left: 24%;
  bottom: 7px;
  background-size: 100% 100%;
}

.rg-name:after {
  position: absolute;
  content: "";
  width: 100px;
  height: 100px;
  border: 2px dashed #021e3d;
  border-radius: 100%;
  top: 7px;
  left: 5px;
}

.rg-name {
  background: #e1f4f6;
  width: 110px;
  border-radius: 100%;
  height: 115px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  color: #323334;
  font-weight: 600;
  line-height: 1.2;
  transition: all 0.2s ease-in-out;
}
.rg-name:before {
  background: url(../images/pin-shadow.svg) no-repeat bottom;
  position: absolute;
  content: "";
  bottom: 0;
  width: 36px;
  height: 39px;
  transition: all 0.2s ease-in-out;
}

.location-img img,
.region-map .image-wrapper img {
  position: absolute;
  height: 78px;
  width: 80px;
  border-radius: 100px;
  left: 0;
  top: 0;
  border: 4px solid #1cc2d4;
}

.dotted-line.brewery-tours {
  left: 58%;
  bottom: 46%;
}
.dotted-line.brewery-tours svg {
  width: 70px;
}
/* .dotted-line.macedon-ranges {
    left: 48%;
    bottom: 40%;
} */
.dotted-line.macedon-ranges {
  top: 25%;
  left: 38%;
}

.dotted-line.yarra-valley {
  right: 3%;
  bottom: 46%;
  transition: transform 1s linear;
  transform-origin: left;
  transform-style: preserve-3D;
}

.dotted-line.mornington-peninsula {
  right: auto;
  bottom: 25%;
  left: 55%;
  top: inherit;
}

/* Position lines from center to each section */
.line1 {
  top: 50%;
  left: 50%;
  height: 50vh;
  /* Adjust height to fit */
  transform: rotate(-60deg);
  /* Angle to Section 1 */
}

.line2 {
  top: 50%;
  left: 50%;
  height: 40vh;
  /* Adjust height to fit */
  transform: rotate(90deg);
  /* Angle to Section 2 */
}

.line3 {
  top: 50%;
  left: 50%;
  height: 40vh;
  /* Adjust height to fit */
  transform: rotate(30deg);
  /* Angle to Section 3 */
}

/* body{
		overflow-x: hidden;
	} */
/* .line {
  position: absolute;
  background-color: red;
  z-index: 1;
  transition: all 0.3s ease;
} */

.container {
  max-width: 1430px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
}

.pin {
  position: absolute;
  cursor: pointer;
  background-color: #ffffff;
  border-radius: 50%;
  padding: 5px;
}

.region-map {
  background-repeat: no-repeat;
  height: 100%;
  /* background-size: 100%; */
  min-height: 733px;
  position: relative;
  display: flex;
  width: 100%;
  z-index: 1;
}

.region-map .left-section ul {
  position: absolute;
  margin: 0;
  bottom: 50px;
  list-style-type: none;
  padding-left: 60px;
}

.region-map .left-section ul li {
  margin-bottom: 20px;
  font-size: 22px;
  color: #000000;
  font-weight: 600;
  position: relative;
  padding-left: 25px;
  border-bottom: 0;
}

/* .left-section {
  max-width: 30%;
} */

.region-location {
  position: absolute;
  width: 110px;
  height: 140px;
  border-radius: 50%;
  display: inline-block;
}

.content-wrapper {
  position: relative;
}

.destination-time {
  background: #000000;
  color: #fff;
  position: absolute;
  text-align: center;
  margin-bottom: 0px;
  border-radius: 2px;
  visibility: hidden;
  z-index: 1;
  padding: 2px 5px;
  min-width: 85px;
  font-size: 12px;
  text-align: center;
  font-weight: 600;
  position: absolute;
  top: 50%;
  left: 50%;
  opacity: 0;
  transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  transition: visibility 0.4s linear, opacity 0.5s;
}
/* 
.destination-time:after {
  border-left: solid transparent 10px;
  border-right: solid transparent 10px;
  border-top: solid #fffbff 10px;
  bottom: -10px;
  content: " ";
  height: 0;
  left: 50%;
  margin-left: -13px;
  position: absolute;
  width: 0;
} */

.dotted-line.open .destination-time {
  opacity: 1;
  transition-delay: 0.7s;
}
.yarra-valley .destination-time {
  top: 84%;
}

.center-location {
  position: absolute;
  left: 55%;
  right: 0;
  margin: 0 auto;
  top: 51%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  z-index: 5;
}

.left-section {
  width: 350px;
}

.left-section span {
  cursor: pointer;
}

.right-section {
  position: relative;
  display: inline-block;
  width: calc(100% - 350px);
}

.region-location {
  position: relative;
}

.region-location .image-wrapper {
  width: 124px;
  height: 138px;
  position: relative;
}
.region-location.center-location.melbourb {
  position: absolute !important;
  left: 23%;
  top: 50%;
}
@media (hover: hover) {
  .image-wrapper:hover .rg-name {
    transform: scale(1.1);
    cursor: pointer;
  }
  .image-wrapper:hover .rg-name:before {
    transform: scale(1.1);
    bottom: -16px;
    width: 46px;
    height: 40px;
  }
}

.center-location .image-wrapper svg {
  position: absolute;
}

.location-text {
  margin: 0 auto;
  z-index: 99999;
  text-align: center;
  font-size: 14px;
  color: #323334;
  font-weight: 600;
  line-height: 1.1;
  padding: 0px 15px 0;
}

.location-text:before {
  position: relative;
  content: "";
  background: url(../images/icon/rg-map-pin.svg) no-repeat center;
  top: 0;
  width: 18px;
  height: 22px;
  left: 50%;
  display: block;
  margin-left: -9px;
  margin-bottom: 5px;
}

.location-img + p {
  margin: -12px 0 0 0;
  font-size: 16px;
  color: #fff;
  font-weight: 600;
  line-height: 1;
  text-shadow: 0px 0px 9px #006b1b;
}
.region-location.center-location .image-wrapper {
  text-align: center;
}
svg#line-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  pointer-events: none;
  /* Allow clicks through the SVG */
}

.region-location.mornington-peninsula {
  position: absolute;
  right: 40%;
  bottom: 23%;
}

.region-location.macedon-ranges {
  position: absolute;
  top: 5%;
  left: 35%;
}

.region-location.daylesford {
  position: absolute;
  left: 12%;
  top: 15%;
}

.region-location.yarra-valley {
  position: absolute;
  right: 1%;
  top: 22%;
}

.region-location.bellarine-peninsula {
  position: absolute;
  bottom: 31%;
  left: 9%;
}

.region-location.brewery-tours {
  position: absolute;
  left: 50%;
  top: 20%;
  z-index: 2;
}

.line-svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.line-svg svg {
  width: 100%;
  height: 100%;
  pointer-events: none;
  /* Prevent interaction blocking if needed */
}

.region-map .left-section ul li::before {
  position: absolute;
  content: "";
  background: url(../images/icon/map-pin.svg) no-repeat left;
  width: 14px;
  height: 16px;
  left: 0;
  top: 3px;
}

.region-map .left-section ul li span {
  position: relative;
  width: 100%;
  display: block;
}
.region-map .left-section ul li span br {
  display: none;
}
.region-map .left-section ul li:after {
  position: absolute;
  content: "";
  background: #006b1b;
  width: 0;
  height: 2px;
  left: 0;
  transition: 0.2s;
  bottom: -10px;
}

.region-map .left-section ul li:hover:after,
.region-map .left-section ul li.active:after {
  width: 100%;
}

.region-map .left-section ul li span::after {
  content: "\f105";
  position: absolute;
  color: #006b1b;
  right: -2px;
  font-family: "FontAwesome";
  bottom: -20px;
  opacity: 0;
  transition: opacity 0s linear 0.2s;
}

.region-map .left-section ul li:hover span,
.region-map .left-section ul li.active span {
  color: #006b1b;
}

.region-map .left-section ul li.active span:after {
  opacity: 1;
}

.path {
  fill: none;
  stroke: #fff;
  stroke-width: 4px;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-dashoffset: 0;
}

.path-1 {
  stroke-dasharray: 856 1000;
  stroke-dashoffset: 857;
  transition: 5s linear;
}

.path-2 {
  stroke-dasharray: 50 1000;
  stroke-dashoffset: 51;
  transition: 1.2s linear;
}

@keyframes draw {
  from {
    stroke-dashoffset: 856;
  }

  to {
    stroke-dashoffset: 0;
  }
}

@keyframes draw-arrow {
  from {
    stroke-dashoffset: 50;
  }

  to {
    stroke-dashoffset: 0;
  }
}

.dotted-line.mornington-peninsula.open .path {
  animation: draw 1s alternate linear forwards;
}

.dotted-line.open .path.path-1 {
  animation: draw 1.5s alternate linear forwards;
}
.dotted-line.mornington-peninsula.open .path.path-1 {
  animation: draw 1.5s alternate linear forwards;
}

.dotted-line.open .path.path-2 {
  animation: draw 1s alternate linear forwards;
}

.bgimg {
  position: absolute;
  right: 0;
  bottom: 0;
  max-height: 100%;
  max-width: inherit;
  left: 0;
  top: 0;
  width: 100%;
  object-fit: cover;
  height: 100%;
  z-index: -1;
  overflow: hidden;
}

.dotted-line.daylesford {
  top: 35%;
  left: 18%;
}

.dotted-line.mornington-peninsula .destination-time {
  left: 100%;
}

.dotted-line.brewery-tours .destination-time {
  top: 50%;
  left: 117%;
}

.rightmapcontainer {
  width: 900px;
  margin: 0 auto;
  position: relative;
  /* background: rgb(173 255 47 / 29%); */
  height: 100%;
}
.hide-in-desk,
.show-in-sm,
.show-in-mobile {
  display: none;
}
@media (min-width: 576px) {
  .region-location.yarra-valley .location-text br {
    display: none;
  }
}

@media (max-width: 1640px) {
  .region-map .left-section ul {
    padding-left: 20px;
  }

  .region-map .left-section ul li {
    font-size: 20px;
    padding-left: 20px;
  }
}

@media (max-width: 1440px) {
  .region-map .left-section ul {
    padding-left: 10px;
    bottom: 30px;
  }

  .region-map .left-section ul li {
    font-size: 18px;
    padding-left: 20px;
    margin-bottom: 15px;
  }

  .left-section {
    max-width: 250px;
    /* outline: 1px solid; */
  }
  .right-section {
    width: calc(100% - 250px);
  }
}
@media (max-width: 1199px) {
  .hide-in-mb {
    display: none;
  }
  .hide-in-desk {
    display: block;
  }
  .left-section {
    max-width: 100%;
    width: 100%;
  }
  .right-section {
    width: 100%;
    min-height: 737px;
  }
  .region-map .left-section ul li:after,
  .region-map .left-section ul li span::after {
    content: none;
  }
  .region-map {
    flex-wrap: wrap;
    min-height: auto;
  }
  .region-map .left-section ul {
    padding: 15px;
    bottom: inherit;
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 20px;
  }
  .region-map .left-section ul li {
    margin-bottom: 0;
    min-width: max-content;
    font-size: 16px;
    padding-left: 22px;
  }
  .region-map .left-section ul li::before {
    background: url(../images/icon/map-pin.svg) no-repeat;
    width: 14px;
    height: 16px;
    background-size: 100% 100%;
    top: 3px;
  }
  .center-location,
  .region-location.center-location.melbourb {
    left: 54%;
    top: 44%;
    margin: 0;
  }
  .dotted-line.brewery-tours {
    left: 55%;
    bottom: 54%;
  }
  .dotted-line.brewery-tours svg {
    transform: rotate(-10deg) translateY(-6px);
  }
  .region-location.brewery-tours {
    left: 49%;
    top: 11%;
  }
  .rightmapcontainer {
    width: 80%;
  }
  .location-img + p {
    margin: -10px 0 0 0;
  }
  .region-location.mornington-peninsula {
    bottom: 28%;
    right: 38%;
  }
  .region-location.bellarine-peninsula {
    bottom: 35%;
    left: 9%;
  }
  .region-location.yarra-valley {
    position: absolute;
    right: 0%;
    top: 17%;
  }
  .dotted-line.bellarine-peninsula {
    left: 3%;
    top: 38%;
    /* max-width: 345px; */
  }
  .dotted-line.yarra-valley {
    right: 6%;
    bottom: 52%;
    width: 320px;
  }
  .dotted-line.yarra-valley svg,
  .dotted-line.bellarine-peninsula svg,
  .dotted-line.mornington-peninsula svg,
  .dotted-line.daylesford svg {
    width: 100%;
  }
  .dotted-line.mornington-peninsula {
    width: 130px;
    bottom: 29%;
    left: 56%;
  }
  .dotted-line.daylesford {
    top: 31%;
    left: 18%;
    width: 200px;
  }
  .dotted-line.macedon-ranges {
    top: 23%;
    left: 37%;
    height: 155px;
  }
  .dotted-line.macedon-ranges svg {
    height: 100%;
  }
}
@media (max-width: 991px) {
  .dotted-line.yarra-valley {
    right: 10%;
    bottom: 50%;
    width: 250px;
  }
  .region-location.yarra-valley {
    top: 19%;
  }
  .region-location.mornington-peninsula {
    right: 35%;
  }
  .region-location.bellarine-peninsula {
    left: 2%;
  }
  .dotted-line.bellarine-peninsula {
    left: -2%;
    top: 41%;
    /* max-width: 330px; */
  }
  .region-location.macedon-ranges {
    top: 4%;
    left: 32%;
  }
}
@media (max-width: 767px) {
  .show-in-sm {
    display: block;
  }
  .hide-in-desk {
    display: none;
  }
  .rg-name:after,
  .location-text:before {
    content: none;
  }
  .rg-name,
  .region-location {
    height: auto;
    width: auto;
    border-radius: 5px;
  }
  .rg-name {
    min-height: 50px;
  }
  .rg-name:before {
    background: url(../images/pin-shadow.svg) no-repeat bottom;
    position: absolute;
    content: "";
    bottom: -13px;
    width: 14px;
    height: 20px;
    background-size: cover;
  }
  .rg-name .location-text {
    padding: 10px;
    max-width: 130px;
  }
  .region-location .image-wrapper {
    width: auto;
    height: auto;
    text-align: center;
  }
  .region-location.mornington-peninsula {
    bottom: 18%;
    right: 30%;
  }
  .region-location.bellarine-peninsula {
    bottom: 28%;
    left: 9%;
  }
  .region-location.yarra-valley {
    right: 7%;
  }
  .rightmapcontainer {
    width: 100%;
  }
  .center-location {
    left: 56%;
    top: 50%;
    position: absolute;
  }
  .region-location.brewery-tours {
    top: 17%;
  }
  .region-location .location-img {
    height: 70px;
    width: 50px;
  }
  .region-location .location-img img {
    height: 72%;
    width: 100%;
    border: 2px solid #1cc2d4;
  }
  .region-map .image-wrapper .center-location::after,
  .location-img::after {
    width: 40px;
    height: 21px;
    left: 12%;
    bottom: 1px;
  }
  .right-section {
    min-height: 500px;
  }
  .destination-time {
    background: #000000;
    color: #ffffff;
    box-shadow: none;
    border-radius: 14px;
    font-size: 10px;
    padding: 0 2px;
  }
  .dotted-line.brewery-tours .destination-time {
    top: 60%;
    left: 106%;
  }
  .location-img + p {
    margin-bottom: 20px;
    font-size: 14px;
  }
  .dotted-line.brewery-tours {
    bottom: 45%;
    left: 58%;
  }
  .dotted-line.bellarine-peninsula {
    left: 8%;
    top: 30%;
    max-width: 265px;
  }
  .dotted-line.bellarine-peninsula .destination-time {
    top: 30px;
  }
  .dotted-line.daylesford {
    top: 21%;
    left: 20%;
    width: 165px;
  }
  .dotted-line.mornington-peninsula {
    width: 135px;
    bottom: 13%;
    left: 60%;
  }
  .region-map .left-section ul li {
    font-size: 14px;
    line-height: 1.1;
    min-width: auto;
    border: 1px solid #dedede;
    padding: 10px 15px 10px 28px;
  }
  .region-map .left-section ul li::before {
    top: 10px;
    left: 9px;
  }
  .region-map .left-section ul {
    padding: 0 0 15px 0;
    bottom: inherit;
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 10px;
  }
  .region-map .left-section ul li.active {
    background-color: #006b1b;
    border-color: #006b1b;
  }
  .region-map .left-section ul li.active::before {
    filter: invert(1) brightness(10);
  }
  .region-map .left-section ul li.active span {
    color: #ffffff;
  }
  .dotted-line.macedon-ranges {
    top: 16%;
    left: 36%;
  }
  .location-img::after {
    bottom: 5px;
  }
  .dotted-line.yarra-valley {
    right: 7%;
    bottom: 40%;
    width: 210px;
    transform: rotate(-15deg);
  }
}

@media (max-width: 576px) {
  .show-in-mobile {
    display: block;
  }
  .region-location.brewery-tours {
    left: 48%;
    top: 18%;
  }

  .region-location.yarra-valley {
    right: 5%;
    top: 14%;
  }

  .center-location,
  .region-location.center-location.melbourb {
    top: 54%;
    left: 55%;
  }
  .location-img + p {
    font-size: 14px;
  }
  .region-location.bellarine-peninsula {
    bottom: 31%;
    left: 7%;
  }
  .dotted-line.brewery-tours {
    bottom: 44%;
    left: 59%;
    z-index: 3;
  }
  .dotted-line.brewery-tours svg {
    width: 50px;
    height: 70px;
  }
  .rg-name .location-text {
    padding: 5px;
    font-size: 12px;
    max-width: 100px;
  }
  .rg-name .location-text br {
    display: none;
  }
  .dotted-line.bellarine-peninsula {
    left: 1%;
    top: 35%;
    max-width: 250px;
  }
  .rg-name {
    min-height: 40px;
  }
  .right-section {
    min-height: 350px;
  }
  .dotted-line.daylesford .destination-time {
    top: 60%;
    left: 30%;
  }
  .region-location.daylesford {
    left: 5%;
    top: 19%;
  }
  /* .region-location.mornington-peninsula {
    bottom: 15%;
    right: 30%;
  } */
  .dotted-line.mornington-peninsula {
    width: 80px;
    bottom: 6%;
  }
  .dotted-line.macedon-ranges {
    top: 18%;
    left: 30%;
    height: 125px;
  }
  .dotted-line.daylesford {
    top: 27%;
    left: 18%;
    width: 165px;
  }
  .dotted-line.yarra-valley {
    right: 8%;
    bottom: 34%;
    width: 170px;
    transform: rotate(332deg);
    left: auto;
  }
  .dotted-line.yarra-valley .destination-time {
    top: 70%;
    transform: rotate(27deg);
  }
  .dotted-line.macedon-ranges .destination-time {
    left: 28%;
    top: 35%;
  }
  .dotted-line.mornington-peninsula .destination-time {
    left: 66%;
    top: 20%;
  }
  .region-location.mornington-peninsula {
    bottom: 18%;
    right: 38%;
  }
  .region-location.yarra-valley .rg-name .location-text br {
    display: block;
  }
}

@media (max-width: 380px) {
  .dotted-line.yarra-valley {
    width: 120px;
    left: 0;
    top: 60%;
    transform: rotate(37deg);
  }
  .dotted-line.bellarine-peninsula {
    max-width: 180px;
  }
  .dotted-line.macedon-ranges .destination-time {
    top: 50%;
  }
  .dotted-line.mornington-peninsula .destination-time {
    left: 82%;
    top: 35%;
  }
  .region-location.mornington-peninsula {
    bottom: 20%;
    right: 33%;
  }
  .dotted-line.bellarine-peninsula .destination-time {
    top: 46px;
  }
  .dotted-line.yarra-valley {
    right: 3%;
    bottom: 30%;
    width: 155px;
    transform: rotate(-37deg);
    left: auto;
  }
}
